=== debian/changelog ===
ros-geometry-experimental (0.5.12-2) unstable; urgency=medium

  * Add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 15:04:48 +0100

ros-geometry-experimental (0.5.12-1) unstable; urgency=medium

  * Initial package. Closes: #806278

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Thu, 24 Dec 2015 03:34:58 +0000
