=== debian/control ===
Source: ros-geometry-experimental
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), dh-exec,
		catkin (>> 0.6.16-2), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
		python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3), dh-python,
		libgeometry-msgs-dev, libactionlib-msgs-dev,
		libconsole-bridge-dev, python-rospy, libpython-dev,
		libactionlib-dev, librosconsole-dev,
		libros-rosgraph-msgs-dev, libxmlrpcpp-dev,
		libmessage-filters-dev, ros-cmake-modules, libeigen3-dev,
		liborocos-kdl-dev, libsensor-msgs-dev, libbullet-dev,
		libboost-dev, libboost-thread-dev, libboost-signals-dev,
		libboost-filesystem-dev, libboost-regex-dev,
		libroscpp-dev,
		libroscpp-msgs-dev
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.ros.org/wiki/geometry-experimental
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-geometry-experimental.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-geometry-experimental.git

Package: libtf2-0d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS tf2 transform library
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the library itself.

Package: libtf2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libtf2-0d ( = ${binary:Version}), libconsole-bridge-dev, libboost-dev, libgeometry-msgs-dev, libroscpp-core-dev, libtf2-msgs-dev
Description: Robot OS tf2 transform library - development files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the development files of the tf2 library.

Package: python-tf2
Section: python
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, python-rospy, libtf2-dev
Description: Robot OS tf2 transform library - Python
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the Python binding.

Package: libtf2-ros0d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS binding for tf2 transform library
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the ROS bindings to tf2.

Package: libtf2-ros-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libtf2-dev, libtf2-ros0d (= ${binary:Version}), libactionlib-dev, libactionlib-msgs-dev, libgeometry-msgs-dev, libmessage-filters-dev, libroscpp-dev, python-rosgraph, libtf2-dev, libtf2-msgs-dev, python-tf2
Description: Robot OS binding for tf2 transform library - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the development files of the ROS binding to tf2.

Package: python-tf2-ros
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: Robot OS binding for tf2 transform library - Python
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the ROS Python binding to tf2.

Package: libtf2-msgs-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ros-message-generation, libgeometry-msgs-dev, libactionlib-msgs-dev
Description: Robot OS messages for tf2 transform library - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the development files.

Package: python-tf2-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-geometry-msgs, python-actionlib-msgs
Description: Robot OS messages for tf2 transform library - Python
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the Python code.

Package: cl-tf2-msgs
Section: lisp
Architecture: all
Depends: ${misc:Depends}, cl-geometry-msgs, cl-actionlib-msgs
Description: Robot OS tf2 transform library messages - LISP
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the LISP binding (messages).

Package: cl-tf2-srvs
Section: lisp
Architecture: all
Depends: ${misc:Depends}
Description: Robot OS tf2 transform library services - LISP
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the LISP binding (services).


Package: libtf2-sensor-msgs-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libeigen3-dev, libsensor-msgs-dev, ros-cmake-modules, libtf2-ros-dev, libtf2-dev
Description: Small lib for ROS to transform sensor_msgs with tf2 - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains utils to transform sensor_msgs with tf2.

Package: python-tf2-sensor-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-sensor-msgs
Description: Robot OS sensor messages for tf2 transform library - Python
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the Python code to transform sensor_msgs with tf2.

# tf2_bullet  
Package: libtf2-bullet-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libgeometry-msgs-dev, libtf2-dev
Description: Robot OS tf2 transform library for Bullet - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the development files for libtf2 for Bullet.

#tf2_eigen
Package: libtf2-eigen-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libeigen3-dev, libgeometry-msgs-dev, ros-cmake-modules, libtf2-dev
Description: Robot OS tf2 transform library for Eigen - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains development files to convert between libtf2 and Eigen.

#tf2_geometry_msgs
Package: libtf2-geometry-msgs-dev
Section: libdevel
Architecture: any
Depends: liborocos-kdl-dev, ${misc:Depends}, libgeometry-msgs-dev, libtf2-ros-dev, libtf2-dev
Description: Robot OS geometry messages for tf2 transform library - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the development files to transform geometry messages
 to tf2.

Package: python-tf2-geometry-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: Robot OS tf2 transform library for Bullet - Python
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the Python code to transform geometry messages to tf2.
 
#tf2_kdl
Package: libtf2-kdl-dev
Section: libdevel
Architecture: any
