=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel --buildsystem=cmake --with python2


override_dh_auto_configure:
	dh_auto_configure -- \
	-DCATKIN_ENABLE_TESTING=OFF

get-orig-source:
	uscan --verbose --force-download --repack --compress xz
