=== debian/changelog ===
ros-geometry-experimental (0.5.13-5) unstable; urgency=medium

  * rebuild due to changes in ros-genpy

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 16 Nov 2016 22:17:14 +0100

ros-geometry-experimental (0.5.13-4) unstable; urgency=medium

  * Fix build dependencies (Closes: #835140)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 28 Aug 2016 15:36:55 +0200

ros-geometry-experimental (0.5.13-3) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address

  [ Daniele E. Domenichelli ]
  * Move message definitions in a separate package

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Aug 2016 09:37:53 +0200

ros-geometry-experimental (0.5.13-2) unstable; urgency=medium

  * rebuild for changes in ros-genlisp

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 13 Jul 2016 22:23:10 +0200

ros-geometry-experimental (0.5.13-1) unstable; urgency=medium

  * Fix includes in tf2_eigen
  * Imported Upstream version 0.5.13
  * Refresh patches
  * Update upstream URL

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 10:35:38 +0200

ros-geometry-experimental (0.5.12-3) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Adopt to new libexec location in catkin

  [ Leopold Palomo-Avellaneda ]
  * Duplicate dependency

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 24 Feb 2016 07:14:53 +0100
