=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), dh-exec,
-		catkin (>> 0.6.16-2), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
+Build-Depends: debhelper (>= 9),
+		catkin (>= 0.6.16-4), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
 		python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3), dh-python,
-		libgeometry-msgs-dev, libactionlib-msgs-dev,
+		libgeometry-msgs-dev, ros-actionlib-msgs,
 		libconsole-bridge-dev, python-rospy, libpython-dev,
 		libactionlib-dev, librosconsole-dev,
 		libros-rosgraph-msgs-dev, libxmlrpcpp-dev,
@@ -15,13 +15,12 @@
 		liborocos-kdl-dev, libsensor-msgs-dev, libbullet-dev,
 		libboost-dev, libboost-thread-dev, libboost-signals-dev,
 		libboost-filesystem-dev, libboost-regex-dev,
-		libroscpp-dev,
-		libroscpp-msgs-dev
-Standards-Version: 3.9.6
+		libroscpp-dev, ros-sensor-msgs
+Standards-Version: 3.9.8
 Section: libs
-Homepage: http://www.ros.org/wiki/geometry-experimental
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-geometry-experimental.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-geometry-experimental.git
+Homepage: http://wiki.ros.org/geometry2
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-geometry-experimental.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-geometry-experimental.git
 
 Package: libtf2-0d
 Architecture: any
@@ -82,7 +81,7 @@
 Package: libtf2-ros-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libtf2-dev, libtf2-ros0d (= ${binary:Version}), libactionlib-dev, libactionlib-msgs-dev, libgeometry-msgs-dev, libmessage-filters-dev, libroscpp-dev, python-rosgraph, libtf2-dev, libtf2-msgs-dev, python-tf2
+Depends: ${misc:Depends}, libtf2-dev, libtf2-ros0d (= ${binary:Version}), libactionlib-dev, libactionlib-msgs-dev, libgeometry-msgs-dev, libmessage-filters-dev, libroscpp-dev, python-rosgraph, libtf2-msgs-dev, python-tf2
 Description: Robot OS binding for tf2 transform library - dev files
  This package is part of Robot OS (ROS). tf2 is the second generation
  of the transform library, which lets the user keep track of multiple
@@ -107,6 +106,20 @@
  .
  This package contains the ROS Python binding to tf2.
 
+Package: ros-tf2-msgs
+Section: devel
+Architecture: any
+Depends: ${misc:Depends}, ros-geometry-msgs, ros-actionlib-msgs
+Description: Robot OS messages for tf2 transform library - definitions
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the
+ user transform points, vectors, etc between any two coordinate frames
+ at any desired point in time.
+ .
+ This package contains the message definitions.
+
 Package: libtf2-msgs-dev
 Section: libdevel
 Architecture: any
@@ -243,16 +256,3 @@
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
 Description: Robot OS tf2 transform library for Bullet - Python
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time. 
- .
- This package contains the Python code to transform geometry messages to tf2.
- 
-#tf2_kdl
-Package: libtf2-kdl-dev
-Section: libdevel
-Architecture: any
